"""empty message

Revision ID: 8e5760ed365b
Revises: 
Create Date: 2021-06-20 09:49:52.813237

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8e5760ed365b'
down_revision = None
branch_labels = None
depends_on = None


def upgrade(engine_name):
    globals()["upgrade_%s" % engine_name]()


def downgrade(engine_name):
    globals()["downgrade_%s" % engine_name]()





def upgrade_():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('alerts',
    sa.Column('unique_id', sa.String(length=128), nullable=False),
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('priority', sa.String(length=64), nullable=False),
    sa.Column('service', sa.String(length=64), nullable=False),
    sa.Column('message', sa.String(), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('unique_id')
    )
    op.create_table('blockchains',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('details', sa.String(), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    op.create_table('challenges',
    sa.Column('unique_id', sa.String(length=64), nullable=False),
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('challenge_id', sa.String(length=64), nullable=False),
    sa.Column('plots_past_filter', sa.String(length=32), nullable=False),
    sa.Column('proofs_found', sa.Integer(), nullable=False),
    sa.Column('time_taken', sa.String(length=32), nullable=False),
    sa.Column('created_at', sa.String(length=64), nullable=False),
    sa.PrimaryKeyConstraint('unique_id')
    )
    op.create_table('connections',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('details', sa.String(), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    op.create_table('farms',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('mode', sa.String(length=32), nullable=False),
    sa.Column('status', sa.String(length=128), nullable=False),
    sa.Column('plot_count', sa.Integer(), nullable=False),
    sa.Column('plots_size', sa.REAL(), nullable=False),
    sa.Column('total_chia', sa.REAL(), nullable=False),
    sa.Column('netspace_size', sa.REAL(), nullable=False),
    sa.Column('expected_time_to_win', sa.String(length=64), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    op.create_table('keys',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('details', sa.String(), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    op.create_table('plots',
    sa.Column('plot_id', sa.String(length=8), nullable=False),
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('dir', sa.String(length=255), nullable=False),
    sa.Column('file', sa.String(length=255), nullable=False),
    sa.Column('size', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.String(length=64), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('plot_id')
    )
    op.create_table('plottings',
    sa.Column('plot_id', sa.String(length=8), nullable=False),
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('k', sa.Integer(), nullable=False),
    sa.Column('tmp', sa.String(length=255), nullable=False),
    sa.Column('dst', sa.String(length=255), nullable=False),
    sa.Column('wall', sa.String(length=8), nullable=False),
    sa.Column('phase', sa.String(length=8), nullable=False),
    sa.Column('size', sa.String(length=8), nullable=False),
    sa.Column('pid', sa.Integer(), nullable=False),
    sa.Column('stat', sa.String(length=8), nullable=False),
    sa.Column('mem', sa.String(length=8), nullable=False),
    sa.Column('user', sa.String(length=8), nullable=False),
    sa.Column('sys', sa.String(length=8), nullable=False),
    sa.Column('io', sa.String(length=8), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('plot_id')
    )
    op.create_table('wallets',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('details', sa.String(), nullable=False),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    op.create_table('workers',
    sa.Column('hostname', sa.String(length=255), nullable=False),
    sa.Column('mode', sa.String(length=64), nullable=False),
    sa.Column('services', sa.String(), nullable=False),
    sa.Column('url', sa.String(), nullable=False),
    sa.Column('config', sa.String(), nullable=False),
    sa.Column('latest_ping_result', sa.String(), nullable=True),
    sa.Column('ping_success_at', sa.DateTime(), nullable=True),
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('(CURRENT_TIMESTAMP)'), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('hostname')
    )
    # ### end Alembic commands ###


def downgrade_():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('workers')
    op.drop_table('wallets')
    op.drop_table('plottings')
    op.drop_table('plots')
    op.drop_table('keys')
    op.drop_table('farms')
    op.drop_table('connections')
    op.drop_table('challenges')
    op.drop_table('blockchains')
    op.drop_table('alerts')
    # ### end Alembic commands ###


def upgrade_stats():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('stat_netspace_size',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plot_count',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plots_disk_free',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('hostname', sa.String(), nullable=True),
    sa.Column('path', sa.String(), nullable=True),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plots_disk_used',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('hostname', sa.String(), nullable=True),
    sa.Column('path', sa.String(), nullable=True),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plots_size',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plots_total_used',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plotting_disk_free',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('hostname', sa.String(), nullable=True),
    sa.Column('path', sa.String(), nullable=True),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plotting_disk_used',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('hostname', sa.String(), nullable=True),
    sa.Column('path', sa.String(), nullable=True),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_plotting_total_used',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_time_to_win',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('stat_total_chia',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('value', sa.REAL(), nullable=True),
    sa.Column('created_at', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade_stats():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('stat_total_chia')
    op.drop_table('stat_time_to_win')
    op.drop_table('stat_plotting_total_used')
    op.drop_table('stat_plotting_disk_used')
    op.drop_table('stat_plotting_disk_free')
    op.drop_table('stat_plots_total_used')
    op.drop_table('stat_plots_size')
    op.drop_table('stat_plots_disk_used')
    op.drop_table('stat_plots_disk_free')
    op.drop_table('stat_plot_count')
    op.drop_table('stat_netspace_size')
    # ### end Alembic commands ###


def upgrade_chiadog():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('notification',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('priority', sa.String(length=40), nullable=False),
    sa.Column('service', sa.String(length=60), nullable=False),
    sa.Column('message', sa.String(length=255), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade_chiadog():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('notification')
    # ### end Alembic commands ###

